Subject: Re: Safe to interrupt »git gc --auto«?

From: Jonathan Nieder <[email-masked]>
Date: Wed, 29 Oct 2014 13:50:51 -0700

Thomas Schwinge wrote:

> I couldn't find this answered in the documentation: if, instead of
> exiting right away, a »git gc --auto« actually commences its housekeeping
> tasks, is it safe to interrupt (C-c, SIGINT) the original git invocation
> at this point, or might this cause any inconsistencies, data loss,
[...]

Heh.

If gc --auto happens in the middle of e.g. a rebase, then it's possible
that there were more commits that were supposed to happen later.  You'd
need to run 'git rebase --continue' after interrupting the gc in that
case.

Interruption should never cause data loss, and as much as possible
commands should finish their work before running gc --auto.  Please
let us know if some command is violating that.

Thanks,
Jonathan